<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.3.10
Name: Anamnesis
Description: Anamnesis Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534">
   <title>Anamnesis</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.10
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]]
Item: (AnamnesisSection)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.10
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]
Item: (AnamnesisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]"
         id="d132e903-false-d41510e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(AnamnesisSection): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(AnamnesisSection): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(AnamnesisSection): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(AnamnesisSection): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10'])&gt;=1">(AnamnesisSection): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10'])&lt;=1">(AnamnesisSection): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="count(hl7:id)&lt;=1">(AnamnesisSection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="count(hl7:code)&lt;=1">(AnamnesisSection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="count(hl7:title)&lt;=1">(AnamnesisSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="count(hl7:text)&lt;=1">(AnamnesisSection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]])&lt;=1">(AnamnesisSection): Element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.10
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']
Item: (AnamnesisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']"
         id="d132e909-false-d41651e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnamnesisSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="string(@root)=('2.16.756.5.30.1.1.10.3.10')">(AnamnesisSection): Der Wert von @root MUSS '2.16.756.5.30.1.1.10.3.10' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(AnamnesisSection): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.10
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]/hl7:id
Item: (AnamnesisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]/hl7:id"
         id="d132e914-false-d41672e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnamnesisSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.10
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]/hl7:code
Item: (AnamnesisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]/hl7:code"
         id="d132e916-false-d41686e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnamnesisSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10871-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AnamnesisSection): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10871 DocumentSectionType (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.10
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]/hl7:title
Item: (AnamnesisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]/hl7:title"
         id="d132e922-false-d41711e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnamnesisSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.10
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]/hl7:text
Item: (AnamnesisSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]/hl7:text"
         id="d132e924-false-d41725e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.3.10-2017-06-12T171534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnamnesisSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.10
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]]
Item: (AnamnesisSection)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.10
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.1.10.3.10']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]]
Item: (AnamnesisSection)
--></pattern>
