<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.4.62
Name: Anamnesis Event
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400">
   <title>Anamnesis Event</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.62
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]]
Item: (AnamnesisEventObservation)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.62
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]
Item: (AnamnesisEventObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]"
         id="d132e1894-false-d51819e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(AnamnesisEventObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(AnamnesisEventObservation): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="string(@moodCode)=('EVN')">(AnamnesisEventObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(AnamnesisEventObservation): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62'])&gt;=1">(AnamnesisEventObservation): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62'])&lt;=1">(AnamnesisEventObservation): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.1.11.23-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(AnamnesisEventObservation): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.1.11.23-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.1.11.23-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(AnamnesisEventObservation): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.1.11.23-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="count(hl7:text)&lt;=1">(AnamnesisEventObservation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.62
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']
Item: (AnamnesisEventObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']"
         id="d132e1900-false-d51884e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnamnesisEventObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="string(@root)=('2.16.756.5.30.1.1.10.4.62')">(AnamnesisEventObservation): Der Wert von @root MUSS '2.16.756.5.30.1.1.10.4.62' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(AnamnesisEventObservation): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.62
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]/hl7:id
Item: (AnamnesisEventObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]/hl7:id"
         id="d132e1905-false-d51905e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnamnesisEventObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.62
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.1.11.23-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (AnamnesisEventObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.756.5.30.1.1.11.23-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d132e1907-false-d51921e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnamnesisEventObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.756.5.30.1.1.11.23-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AnamnesisEventObservation): Der Elementinhalt MUSS einer von '2.16.756.5.30.1.1.11.23 IVR valueset event (.143.11.15) (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.62
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]/hl7:text
Item: (AnamnesisEventObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]/hl7:text"
         id="d132e1913-false-d51946e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnamnesisEventObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(AnamnesisEventObservation): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(AnamnesisEventObservation): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.62
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (AnamnesisEventObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.62']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d132e1918-false-d51972e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnamnesisEventObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.62-2017-07-11T175400.html"
              test="@value">(AnamnesisEventObservation): Attribut @value MUSS vorkommen.</assert>
   </rule>
</pattern>
