<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.4.63
Name: Anamnesis Symptom
Description: General Symptom description
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400">
   <title>Anamnesis Symptom</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.63
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]]
Item: (AnamnesisSymptomObservation)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.63
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]
Item: (AnamnesisSymptomObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]"
         id="d132e1953-false-d52011e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(AnamnesisSymptomObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(AnamnesisSymptomObservation): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="string(@moodCode)=('EVN')">(AnamnesisSymptomObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(AnamnesisSymptomObservation): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63'])&gt;=1">(AnamnesisSymptomObservation): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63'])&lt;=1">(AnamnesisSymptomObservation): Element hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="count(hl7:code[(@code='162408000' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor])&gt;=1">(AnamnesisSymptomObservation): Element hl7:code[(@code='162408000' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="count(hl7:code[(@code='162408000' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor])&lt;=1">(AnamnesisSymptomObservation): Element hl7:code[(@code='162408000' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="count(hl7:text)&lt;=1">(AnamnesisSymptomObservation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.63
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']
Item: (AnamnesisSymptomObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]/hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']"
         id="d132e1959-false-d52074e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnamnesisSymptomObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="string(@root)=('2.16.756.5.30.1.1.10.4.63')">(AnamnesisSymptomObservation): Der Wert von @root MUSS '2.16.756.5.30.1.1.10.4.63' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(AnamnesisSymptomObservation): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.63
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]/hl7:id
Item: (AnamnesisSymptomObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]/hl7:id"
         id="d132e1964-false-d52095e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnamnesisSymptomObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.63
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]/hl7:code[(@code='162408000' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor]
Item: (AnamnesisSymptomObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]/hl7:code[(@code='162408000' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor]"
         id="d132e1966-false-d52109e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnamnesisSymptomObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="@nullFlavor or (@code='162408000' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='General symptom description (finding)')">(AnamnesisSymptomObservation): Der Elementinhalt MUSS einer von 'code '162408000' codeSystem '2.16.840.1.113883.6.96' displayName='General symptom description (finding)'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.63
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]/hl7:text
Item: (AnamnesisSymptomObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]/hl7:text"
         id="d132e1972-false-d52129e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnamnesisSymptomObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(AnamnesisSymptomObservation): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(AnamnesisSymptomObservation): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.63
Context: *[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (AnamnesisSymptomObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]]/hl7:observation[hl7:templateId[@root='2.16.756.5.30.1.1.10.4.63']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d132e1977-false-d52155e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnamnesisSymptomObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachresp-html-20170811T120729/tmp-2.16.756.5.30.1.1.10.4.63-2017-07-11T175400.html"
              test="@value">(AnamnesisSymptomObservation): Attribut @value MUSS vorkommen.</assert>
   </rule>
</pattern>
